## GnomeDbLogin

GnomeDbLogin — Login widget

## Synopsis

                GnomeDbLoginPrivate;
    GtkWidget*  gnome_db_login_new              (const gchar *dsn);
    const gchar* gnome_db_login_get_dsn         (GnomeDbLogin *login);
    void        gnome_db_login_set_dsn          (GnomeDbLogin *login,
                                                 const gchar *dsn);
    const gchar* gnome_db_login_get_username    (GnomeDbLogin *login);
    void        gnome_db_login_set_username     (GnomeDbLogin *login,
                                                 const gchar *username);
    const gchar* gnome_db_login_get_password    (GnomeDbLogin *login);
    void        gnome_db_login_set_password     (GnomeDbLogin *login,
                                                 const gchar *password);
    void        gnome_db_login_set_enable_create_button
                                                (GnomeDbLogin *login,
                                                 gboolean enable);
    void        gnome_db_login_set_show_dsn_selector
                                                (GnomeDbLogin *login,
                                                 gboolean show);

## Description

## Details

### GnomeDbLoginPrivate

    typedef struct _GnomeDbLoginPrivate GnomeDbLoginPrivate;

### gnome_db_login_new ()

    GtkWidget*  gnome_db_login_new              (const gchar *dsn);

`dsn` : |
Returns : |

### gnome_db_login_get_dsn ()

    const gchar* gnome_db_login_get_dsn         (GnomeDbLogin *login);

`login` : |
Returns : |

### gnome_db_login_set_dsn ()

    void        gnome_db_login_set_dsn          (GnomeDbLogin *login,
                                                 const gchar *dsn);

Set the data source name on the given GnomeDbLogin widget.

`login` : | A GnomeDbLogin widget.
`dsn` : | Data source name.

### gnome_db_login_get_username ()

    const gchar* gnome_db_login_get_username    (GnomeDbLogin *login);

Get the value currently entered in the username text entry.

`login` : | A GnomeDbLogin widget.
Returns : | the username being entered in the login widget.

### gnome_db_login_set_username ()

    void        gnome_db_login_set_username     (GnomeDbLogin *login,
                                                 const gchar *username);

Sets the user name to be displayed in the given GnomeDbLogin widget.

`login` : | a GnomeDbLogin widget.
`username` : | username to display in the widget.

### gnome_db_login_get_password ()

    const gchar* gnome_db_login_get_password    (GnomeDbLogin *login);

`login` : |
Returns : |

### gnome_db_login_set_password ()

    void        gnome_db_login_set_password     (GnomeDbLogin *login,
                                                 const gchar *password);

Sets the password to be displayed in the given GnomeDbLogin widget.

`login` : | a GnomeDbLogin widget.
`password` : | password to display in the widget.

### gnome_db_login_set_enable_create_button ()

    void        gnome_db_login_set_enable_create_button
                                                (GnomeDbLogin *login,
                                                 gboolean enable);

Enable/disable the button for allowing the user to create new data sources from the login widget. This button is disabled by default, and when enabled, allows the user to start the database properties configuration applet.

`login` : | A GnomeDbLogin widget.
`enable` : | Flag to enable/disable the button.

### gnome_db_login_set_show_dsn_selector ()

    void        gnome_db_login_set_show_dsn_selector
                                                (GnomeDbLogin *login,
                                                 gboolean show);

Show/hide the combo box which allows to select the datasource to log into.

`login` : | A GnomeDbLogin widget.
`show` : |